import { createSlice } from '@reduxjs/toolkit'

export const ipSlice = createSlice({
    name: 'ip',
    initialState: {
        value: ""
    },
    reducers: {
        setAddress: (state, ip) => {
            // Redux Toolkit allows us to write "mutating" logic in reducers. It
            // doesn't actually mutate the state because it uses the Immer library,
            // which detects changes to a "draft state" and produces a brand new
            // immutable state based off those changes
            state.value = ip;
        },
    }
})

// Action creators are generated for each case reducer function
export const { setAddress } = ipSlice.actions

export default ipSlice.reducer